# smtpp

Section: Universal proxy server (8)
Updated: July 2009
Index Return to Main Contents

## NAME

smtpp - SMTP proxy gateway service

## SYNOPSIS

smtpp [-d] [-l[[@]logfile]] [-p port] [-i internal_ip] [-e external_ip] [-h default_ip[:port]]

## DESCRIPTION

smtpp is SMTP gateway service to allow internal users to access external SMTP servers.

## OPTIONS

-I
  Inetd mode. Standalone service only.
-d
  Daemonise. Detach service from console and run in the background.
-t
  Be silenT. Do not log start/stop/accept error records.
-u
  Never look for username authentication.
-e
  External address. IP address of interface proxy should initiate connections from. By default system will deside which address to use in accordance with routing table.
-i
  Internal address. IP address proxy accepts connections to. By default connection to any interface is accepted. It's usually unsafe.
-p
  Port. Port proxy listens for incoming connections. Default is 25.
-h
  Default destination. It's used if targed address is not specified by user.
-l
  Log. By default logging is to stdout. If logfile is specified logging is to file. Under Unix, if '@' preceeds logfile, syslog is used for logging.

## CLIENTS

You can use any MUA (Mail User Agent) with SMTP authentication support. Set client to use internal_ip and port as a SMTP server. Address of real SMTP server must be configured as a part of SMTP username. Format for username is username@server, where server is address of SMTP server and username is user's login on this SMTP server. Login itself may contain '@' sign. Only cleartext authentication is supported, because challenge-response authentication (CRAM-MD5, SPA, etc) requires challenge from server before we know which server to connect.

## BUGS

Report all bugs to 3proxy@security.nnov.ru

## SEE ALSO

3proxy(8), ftppr(8), proxy(8), socks(8), tcppm(8), udppm(8), syslogd(8),
http://3proxy.ru/

## AUTHORS

3proxy is designed by 3APA3A (3APA3A@security.nnov.ru), Vladimir Dubrovin (vlad@sandy.ru)

## Index

NAME
SYNOPSIS
DESCRIPTION
OPTIONS
CLIENTS
BUGS
SEE ALSO
AUTHORS

This document was created by using the manual pages.
Time: 11:38:08 GMT, December 11, 2009